Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 589450 - [RHEL6] Anaconda gives a traceback and does not work with encrypted pvs
Summary: [RHEL6] Anaconda gives a traceback and does not work with encrypted pvs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda
Version: 6.0
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Ales Kozumplik
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-06 07:59 UTC by Huzaifa S. Sidhpurwala
Modified: 2014-09-30 23:38 UTC (History)
8 users (show)

Fixed In Version: anaconda-13.21.38-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-02 20:48:33 UTC
Target Upstream Version:


Attachments (Terms of Use)
anaconda log from installation on encrypted lv (deleted)
2010-05-09 14:17 UTC, Lubos Kocman
no flags Details

Comment 2 RHEL Product and Program Management 2010-05-06 09:36:11 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Bill Nottingham 2010-05-06 13:55:19 UTC
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devices.py", line 1699, in __init__
    raise ValueError("constructor requires a list of PVs")
  File "/usr/lib/anaconda/storage/__init__.py", line 740, in newVG
    return LVMVolumeGroupDevice(name, pvs, *args, **kwargs)
  File "/usr/lib/anaconda/kickstart.py", line 974, in execute
    peSize=self.pesize/1024.0)
  File "/usr/lib/anaconda/kickstart.py", line 1086, in execute
    obj.execute(self.anaconda)
  File "/usr/bin/anaconda", line 1035, in <module>
    ksdata.execute()
ValueError: constructor requires a list of PVs

Comment 4 Ales Kozumplik 2010-05-06 14:38:38 UTC
Bill,

can you attach your kickstart please?

Thanks.
Ales

Comment 5 Ales Kozumplik 2010-05-06 14:40:15 UTC
Huzaifa,

With a similar kickstart like yours I am seeing something different. Could you perhaps retest with the latest nightlies so we are sure to be on the same page?

Thanks.
Ales

Comment 6 Huzaifa S. Sidhpurwala 2010-05-06 14:52:12 UTC
Ales,
Bill just pasted the traceback from my logs, i think

(In reply to comment #4)
> Bill,
> 
> can you attach your kickstart please?
> 
> Thanks.
> Ales

Comment 7 Huzaifa S. Sidhpurwala 2010-05-06 14:53:07 UTC
(In reply to comment #5)
> Huzaifa,
> 
> With a similar kickstart like yours I am seeing something different. Could you
> perhaps retest with the latest nightlies so we are sure to be on the same page?
> 
> Thanks.
> Ales    


Different as in, it works :) ? or a different traceback?

Comment 8 Ales Kozumplik 2010-05-06 16:12:09 UTC
Like I said on IRC, a different traceback, "new lv is too large to fit in free space".

Comment 9 Huzaifa S. Sidhpurwala 2010-05-07 08:35:29 UTC
Ales,
With the latest nightly i get the same traceback.

Comment 10 Ales Kozumplik 2010-05-07 12:50:59 UTC
this is the full traceback. patch coming soon.

13:14:23,963 CRITICAL: anaconda 13.21.33 exception report
Traceback (most recent call first):
  File "/tmp/updates/storage/devices.py", line 1988, in _addLogVol
    raise DeviceError("new lv is too large to fit in free space", self.name)
  File "/tmp/updates/storage/devices.py", line 2175, in __init__
    self.vg._addLogVol(self)
  File "/tmp/updates/storage/__init__.py", line 772, in newLV
    return LVMLogicalVolumeDevice(name, vg, *args, **kwargs)
  File "/tmp/updates/kickstart.py", line 513, in execute
    percent=self.percent)
  File "/tmp/updates/kickstart.py", line 1132, in execute
    obj.execute(self.anaconda)
  File "/tmp/updates/anaconda", line 1094, in <module>
    ksdata.execute()
DeviceError: ('new lv is too large to fit in free space', 'HelpDeskRHEL6')

Comment 12 Lubos Kocman 2010-05-09 14:17:57 UTC
Created attachment 412648 [details]
anaconda log from installation on encrypted lv

Comment 13 Ales Kozumplik 2010-05-10 06:47:03 UTC
Hi,

Huzaifas asked me to provide an update image with the fix:
http://akozumpl.fedorapeople.org/bz589450.img

Please let me know whether this fixes the issue so I can submit the patch.

Ales

Comment 14 Ales Kozumplik 2010-05-10 07:05:18 UTC
Huzaifas tells me the traceback is gone and another one appears later in the install.

Fixed by 03b44e6ea03fcb11aa7c69184db1d21fd279a848, will be in after anaconda-13.21.38-1.

Comment 15 David Cantrell 2010-05-11 01:28:26 UTC
QA,

Can we get a qa_ack on this one.  I was overlooked before the patch was pushed.

Comment 16 Ales Kozumplik 2010-05-11 05:52:28 UTC
Ah yeah David,

sorry about that, chasing a QA person to provide that now.

Also, the traceback I am referring in Comment 14 is 590591, in fact nothing related to my fix.

Comment 17 Marian Ganisin 2010-05-11 06:12:35 UTC
Ales's traceback reproduced with recent anaconda,
Huzaifa's traceback reproduced with anaconda 13.21.20.4 (RHEL6.0-20100330.1).
Granting qa_ack.

Comment 19 Alexander Todorov 2010-05-14 10:37:11 UTC
Traceback from comment #10 reproduced with -0428.0 tree and this ks.cfg on 10GB virtio disk:

bootloader --location=mbr --driveorder=vda --append="rhgb quiet"
clearpart --all --initlabel
part /boot --fstype=ext3 --asprimary --size=200
part pv.hd --grow --size=1 --encrypted --passphrase=firsttime 

volgroup HelpDeskRHEL6 --pesize=4096 pv.hd
logvol /home --fstype=ext3 --name=Home --vgname=HelpDeskRHEL6 --size=500
logvol /NotBackedUp --fstype=ext3 --name=NotBackedUp --vgname=HelpDeskRHEL6 --size=1 --maxsize=8192 --grow
logvol / --fstype=ext3 --name=Root --vgname=HelpDeskRHEL6 --size=4000
logvol swap --name=Swap --vgname=HelpDeskRHEL6 --size=1024
logvol /VirtualMachines --fstype=ext3 --name=VirtualMachines --vgname=HelpDeskRHEL6 --size=1000


With 0512.0 there's no traceback and install completes successfully. System is able to boot after install. Moving to VERIFIED.

Comment 20 releng-rhel@redhat.com 2010-07-02 20:48:33 UTC
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.